Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007773OCamlconfigure and build/installpublic2018-04-13 17:052018-04-16 12:31
Reporterjohnwhitington 
Assigned Tonojebar 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMacOSOS XOS Version10.13.4
Product Version4.07.0+dev/beta2/rc1/rc2 
Target VersionFixed in Version 
Summary0007773: 4.07.0+beta2 does not work after installation
DescriptionAfter

./configure
make world.opt
sudo make install

we get:

gorge:repos john$ ocaml -init /dev/null
        OCaml version 4.07.0+dev6-2018-04-10

# Sys.argv
  ;;
Error: /usr/local/lib/ocaml/sys.cmi
is not a compiled interface for this version of OCaml.
It seems to be for an older version of OCaml.
#
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0019025)
nojebar (developer)
2018-04-13 17:40

Hello, this is due to the new "packed" stdlib: the new .cmi for the Sys module is called stdlib__sys.cmi, which did not overwrite the old sys.cmi which was compiled with the previous version.

One way to solve it is to manually delete the old files (or all of /usr/local/lib/ocaml) before installation. IMHO, it seems a little dangerous to do it automatically in make install.
(0019026)
johnwhitington (reporter)
2018-04-13 17:48
edited on: 2018-04-13 17:50

Thanks. Probably worth a note in the README or INSTALL document, though?

(0019027)
nojebar (developer)
2018-04-13 20:09

Actually, I think `make install` **should** delete the old files. PR at https://github.com/ocaml/ocaml/pull/1724. [^]
(0019036)
nojebar (developer)
2018-04-16 12:31

PR merged.

- Issue History
Date Modified Username Field Change
2018-04-13 17:05 johnwhitington New Issue
2018-04-13 17:40 nojebar Note Added: 0019025
2018-04-13 17:41 nojebar Status new => acknowledged
2018-04-13 17:41 nojebar Product Version => 4.07.0+dev/beta2/rc1/rc2
2018-04-13 17:48 johnwhitington Note Added: 0019026
2018-04-13 17:50 johnwhitington Note Edited: 0019026 View Revisions
2018-04-13 20:09 nojebar Note Added: 0019027
2018-04-13 20:09 nojebar Assigned To => nojebar
2018-04-13 20:09 nojebar Status acknowledged => assigned
2018-04-16 12:31 nojebar Note Added: 0019036
2018-04-16 12:31 nojebar Status assigned => resolved
2018-04-16 12:31 nojebar Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker